# rl-datepicker-popup

## Description
`rl-datepicker-popup` is a wrapper for Datepicker of ngx-bootstrap(ng2-bootstrap).
It enables the datepicker to be opened as a modal dialog.

## Installation

To install this library, run:

```bash
$ npm install @railinc/rl-datepicker-popup --save
```

## Consuming your library

You can import rl-datepicker-popup in any Angular application:

and then from your Angular `AppModule` or `SharedModule`:

```typescript

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
 
import { AppComponent } from './app.component';
import { RlDatepickerPopupDirective } from '@railinc/rl-datepicker-popup';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    RlBlockUiModule.forRoot()
  ],
  declarations: [
    RlDatepickerPopupDirective
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }


```

Once your library is imported, you can use it in your Angular application:

```html
  <div rlDatepickerPopup>
    <datepicker formControlName="expirationDate" [hidden]="!opened" [minDate]="minDate" [showWeeks]="false" (selectionDone)="opened = false"></datepicker>
  </div>
```


## Development

To generate all `*.js`, `*.js.map` and `*.d.ts` files:

```bash
$ npm run tsc
```

To lint all `*.ts` files:

```bash
$ npm run lint
```

## License

MIT © [Bruce Gong](mailto:bruce.gong@railinc.com)